import influxframework


def get_context(context):
	context.no_cache = 1

	task = influxframework.get_doc("Task", influxframework.form_dict.task)

	context.comments = influxframework.get_all(
		"Communication",
		filters={"reference_name": task.name, "comment_type": "comment"},
		fields=["subject", "sender_full_name", "communication_date"],
	)

	context.doc = task
